
public class TestMessages {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
		Messages m = MessageFactory.create(MessagesResourceBundle.class);

		timeIt("Resource-Bundle: ", m,1000000);

		m = MessageFactory.create(MessagesNLSInterface.class);

		timeIt("NLS-With-Interface: " , m,1000000);

		m = MessageFactory.create(MessagesNLSNoInterface.class);

		timeIt("NLS-Without-Interface: " , m,1000000);

		long start = System.currentTimeMillis();
		String s;
		for( int i = 0; i < 1000000; i++ ) {
			s = MessagesTarget.simpleTest;
		}

		long end = System.currentTimeMillis();
		System.err.println(1000000 + " took " + (end - start) + " => " + (end - start) * 1.0 / 1000000);
	}

	private static void timeIt(String type, Messages m, int iterations) {
		long start = System.currentTimeMillis();

		String s;
		for( int i = 0; i < iterations; i++ ) {
			s = m.simpleTest();
		}

		long end = System.currentTimeMillis();
		System.err.println(type + ": " + iterations + " took " + (end - start) + " => " + (end - start) * 1.0 / iterations);
	}
}
